# $Revision: 1.43 $, $Date: 2007/06/14 18:21:04 $
Summary:	A Java source file to bytecode compiler
Summary(es.UTF-8):	Compilador Java
Summary(pl.UTF-8):	Kompilator języka Java do bajtkodu
Summary(pt_BR.UTF-8):	Compilador Java
Name:		jikes
Version:	1.22
Release:	5
License:	IBM Public License Version 1.0 - Jikes Compiler, http://ibm.com/research/jikes/license/license3.htm
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/jikes/%{name}-%{version}.tar.bz2
# Source0-md5:	cda958c7fef6b43b803e1d1ef9afcb85
Patch0:		%{name}-source-1.2.patch
URL:		http://jikes.sourceforge.net/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
Obsoletes:	guavac
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IBM Research Jikes compiler translates Java source files into
bytecode. Jikes' features include strict adherence to the language
specification, extremely fast compile speed, and a sophisticated
dependence analysis that allows for incremental compilation and
automatic makefile generation.

The release of Jikes' source code in December 1998 initiated one of
IBM's first efforts in the open source arena, and since that time
Jikes has been maintained and refined using the open source
development model.

%description -l es.UTF-8
Jikes (TM) es un compilador de fuentes Java para bytecode. Es un
compilador rápido y que sigue estrictamente los patrones del lenguaje
Java.

%description -l pl.UTF-8
Jikes z IBM Research to kompilator tłumaczący pliki źródłowe Javy do
bajtkodu. Jikes jest ściśle zgodny ze specyfikacją języka, ma bardzo
dużą szybkość kompilacji i przemyślaną analizę zależności pozwalającą
na przyrostową kompilację i automatyczne generowanie skryptów dla
programu GNU Make.

%description -l pt_BR.UTF-8
Jikes (TM) é um compilador de fontes Java para bytecode. É um
compilador rápido e que segue estritamente os padrões da linguagem
Java.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .

%configure \
	--enable-source15
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO doc/license.htm
%attr(755,root,root) %{_bindir}/jikes
%{_includedir}/jikesapi.h
%{_mandir}/man1/jikes.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jikes.spec,v $
Revision 1.43  2007/06/14 18:21:04  arekm
- rel 5

Revision 1.42  2007/03/06 13:42:38  spider
- rel++
- STBR

Revision 1.41  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.39  2005/06/18 20:00:10  saq
- pythonprov reqs python and doesn't python-modules

Revision 1.38  2005/05/04 08:25:47  pluto
- release 3 for Th.

Revision 1.37  2005/04/09 15:43:03  saq
- accept -source 1.2 in command line (jakarta-ant uses it)
- updated URLs
- release 2

Revision 1.36  2005/02/05 18:25:24  qboosh
- restored Source0 URL, use pl for bytecode

Revision 1.35  2004/10/14 16:15:29  pluto
- updated to 1.22.
  this release supports compilation using the rt.jar shipped
  with the released version of Java 5.0, but otherwise has no more support
  for new language features than 1.21 did.
  a number of bugs were also corrected.

Revision 1.34  2004/09/03 20:38:09  pluto
- tarball dropped in.

Revision 1.33  2004/09/03 00:42:14  undefine
- no-rtti causes segmentation fault with classpath.

Revision 1.32  2004/09/02 22:51:21  pluto
- desc, pl.

Revision 1.31  2004/09/02 22:02:08  qboosh
- more docs, added jikesapi.h, removed obsolete NAN patch

Revision 1.30  2004/09/02 08:41:54  undefine
- update to 1.21

Revision 1.29  2004/08/24 00:12:08  undefine
- copy config.sub, release 3

Revision 1.28  2004/08/24 00:08:43  undefine
- release 2

Revision 1.27  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/03/04 12:56:02  wrobell
- ver. 1.18

Revision 1.24  2002/07/24 00:14:22  blues
- 1.16
STBR

Revision 1.23  2002/07/24 00:05:44  blues
- release 3
- commented out NAN patch - simply does not build with it...
- new doc
STBR

Revision 1.22  2002/04/25 16:39:20  arturs
fixed a small typo

Revision 1.21  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/14 00:19:04  qrczak
- jikes-NAN.patch: fix a name conflict in C macros.
- Release 2.

Revision 1.17  2001/11/30 12:45:01  qboosh
- pl description

Revision 1.16  2001/10/09 03:36:24  kloczek
- updated to 1.15,
- added DESTDIR style install,
- added translations stolen from CNV.

Revision 1.15  2001/09/15 17:17:56  bonkey
- Group changed to Development/Languages/Java

Revision 1.14  2001/05/14 00:04:09  kloczek
- typo.

Revision 1.13  2001/05/13 23:42:44  kloczek
- updated to 1.14,
- added libstdc++-devel to BuildRequires,
- removed obsoleted iconv patch.

Revision 1.12  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/03/08 08:52:39  kloczek
- release 2.

Revision 1.10  2001/03/06 12:10:02  wrobell
- iconv patch is back, stb

Revision 1.9  2001/03/05 10:21:05  kloczek
- removed commented patches.

Revision 1.8  2001/03/05 08:47:43  wrobell
- updated to 1.13

Revision 1.7  2001/02/12 00:00:32  kloczek
- removed gcc296 patch.

Revision 1.6  2001/02/11 23:22:09  kloczek
- release 3,
- merged uconst, iconv rawhide patches.

Revision 1.5  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/11/25 08:22:28  kloczek
- spec adapterized and few cosmetics,
- use new rpm automation,
- compile C++ code with -fno-exceptions -fno-rtti (output code smaller
  ~20%),
- do not compress html documentation.

Revision 1.2  2000/11/25 06:04:53  wiget
added patches from Mandrake

Revision 1.1  2000/08/15 17:28:07  wrobell
- based on RedHat spec for PLD

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description

* Fri Jan 14 2000 Paul Fisher <pnfisher@redhat.com>
- update to 1.11
- change URL to new homepage for Jikes
- change Source to new master source directory

* Sat Sep 18 1999 Cristian Gafton <gafton@redhat.com>
- version 1.06

* Fri Sep 17 1999 Cristian Gafton <gafton@redhat.com>
- update to 1.05
